Solid Edge Assembly Type Library
Select Method
If True, the current selection is replaced with a new selection that consists of the specified object. If False, the current selection is extended to include any previously selected objects and the specified object.
Description
Selects the referenced object in the active window.
Syntax
Visual Basic
Public Sub Select( _
   ByVal Replace As Boolean _
) 
Parameters
Replace
If True, the current selection is replaced with a new selection that consists of the specified object. If False, the current selection is extended to include any previously selected objects and the specified object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objTangntRelation As SolidEdgeAssembly.TangentRelation3d
    ' Local variables to be declared here
    Const TESTFILE = "T:\vbtests\testcases\TangntRel3d.asm"
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    objDoc.Close False
    'Open an existing Assembly containing TangentRelation
    Set objDoc = objApp.Documents.Open(Filename:=TESTFILE)
    'Get hold of the TangentRelation from the Relations3d collection
    Set objTangntRelation = objDoc.Relations3d(2)
    'Select this TangentRelation
    Call objTangntRelation.Select(Replace:=True)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTangntRelation = Nothing
End Sub
See Also

TangentRelation3d Object  | TangentRelation3d Members

Send comments on this topic.